You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hbase.apache.org by st...@apache.org on 2016/10/28 22:40:42 UTC

hbase git commit: HBASE_16963 Fixup our hbase-personality post YETUS-322 flip verify_ result codes

Repository: hbase
Updated Branches:
  refs/heads/master 9607409fc -> 339017f0f


HBASE_16963 Fixup our hbase-personality post YETUS-322 flip verify_
result codes

This patch is about updating our hbase-personality for yetus.
Basic yetus methods flipped what was true and false but we did
not adjust our usage in accordance on an update. See
YETUS-322 flip verify_ result codes. I need this in place so I
can prove that there is nothing I have to do for this the parent
issue  HBASE-16955 after I commit HBASE-16952, the revamp of how
we do proto generation. After HBASE-16952 the protoc check will do the
right thing in all cases (pb2.5 vs pb3.1 and we run the protoc
in any module that has protos in it)


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/339017f0
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/339017f0
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/339017f0

Branch: refs/heads/master
Commit: 339017f0f6f0970374055c2205b4ba42af2fabf7
Parents: 9607409
Author: Michael Stack <st...@apache.org>
Authored: Fri Oct 28 15:30:22 2016 -0700
Committer: Michael Stack <st...@apache.org>
Committed: Fri Oct 28 15:34:50 2016 -0700

----------------------------------------------------------------------
 dev-support/hbase-personality.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/339017f0/dev-support/hbase-personality.sh
----------------------------------------------------------------------
diff --git a/dev-support/hbase-personality.sh b/dev-support/hbase-personality.sh
index 069ffc4..83b28a5 100755
--- a/dev-support/hbase-personality.sh
+++ b/dev-support/hbase-personality.sh
@@ -277,8 +277,7 @@ function hbaseprotoc_rebuild
     return 0
   fi
 
-  verify_needed_test hbaseprotoc
-  if [[ $? == 0 ]]; then
+  if ! verify_needed_test hbaseprotoc; then
     return 0
   fi
 
@@ -286,7 +285,6 @@ function hbaseprotoc_rebuild
 
   start_clock
 
-
   personality_modules patch hbaseprotoc
   modules_workers patch hbaseprotoc compile -DskipTests -Pcompile-protobuf -X -DHBasePatchProcess
 
@@ -349,8 +347,7 @@ function hbaseanti_patchfile
     return 0
   fi
 
-  verify_needed_test hbaseanti
-  if [[ $? == 0 ]]; then
+  if ! verify_needed_test hbaseanti; then
     return 0
   fi